# Xapian::ExpandDeciderFilterTerms Class Reference

One useful expand decision functor, which provides a way of filtering out a fixed list of terms from the expand set. More...

`#include <expanddecider.h>`

Inheritance diagram for Xapian::ExpandDeciderFilterTerms:

[legend]
Collaboration diagram for Xapian::ExpandDeciderFilterTerms:

[legend]
List of all members.

## Public Member Functions

| ExpandDeciderFilterTerms (Xapian::TermIterator terms, Xapian::TermIterator termsend)
| Constructor, which takes a list of terms which will be filtered out.
virtual int | operator() (const std::string &tname) const
| Decide whether we want this term to be in the expand set.

## Detailed Description

One useful expand decision functor, which provides a way of filtering out a fixed list of terms from the expand set.

## Constructor & Destructor Documentation

Xapian::ExpandDeciderFilterTerms::ExpandDeciderFilterTerms | ( | Xapian::TermIterator | terms,
|  | Xapian::TermIterator | termsend
| ) |

| Constructor, which takes a list of terms which will be filtered out.

## Member Function Documentation

virtual int Xapian::ExpandDeciderFilterTerms::operator() | ( | const std::string & | tname | ) | const`[virtual]`

| Decide whether we want this term to be in the expand set. Implements Xapian::ExpandDecider.

The documentation for this class was generated from the following file:

- include/xapian/expanddecider.h